Bug 1493153 - Updating from RHEL 7.3 fails with Server-Cert not found (ipa-server-upgrade) [rhel-7.4.z]
Summary: Updating from RHEL 7.3 fails with Server-Cert not found (ipa-server-upgrade) ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1484428
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-19 13:33 UTC by Oneata Mircea Teodor
Modified: 2018-03-05 18:08 UTC (History)
13 users (show)

(edit)
When upgrading to Red Hat Enterprise Linux 7.4, the IdM upgrade script failed because it did not accept the HTTPD and LDAP server certificates nicknames different from 'Server-Cert'. Consequently, the upgrade script did not complete successfully, and IdM services were not restarted. The bug has been fixed, and the upgrade now succeeds with the server certificates nicknames different from 'Server-Cert'.
Clone Of: 1484428
(edit)
Last Closed: 2017-10-19 15:12:49 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2935 normal SHIPPED_LIVE ipa bug fix update 2017-10-19 18:49:19 UTC

Description Oneata Mircea Teodor 2017-09-19 13:33:30 UTC
This bug has been copied from bug #1484428 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Petr Vobornik 2017-09-19 15:02:28 UTC
Fixed upstream
ipa-4-5:
https://pagure.io/freeipa/c/52853875e298e38a1e5a9a56c02aac9e30916044

Comment 10 Nikhil Dehadrai 2017-09-29 12:23:18 UTC
IPA-server-version: ipa-server-4.5.0-21.el7_4.2.2.x86_64

Verified the bug with following observations:

In my case upgrade from RHEL 7.3.z > RHEL 7.4

Steps:
1) Setup self-signed IPA at RHEL 7.3.z
2) makepki.sh tool from freeipa-tools to generate an external CA and ldap/http certificates.
3) # ipa-cacert-manage install -t CT,C,C ca1.crt
4) # cd ca1
5) # ipa-server-certinstall -d -w --pin Secret123 --cert-name myextcertforbug --dirman-password Secret123 server.crt server.key
6) # ipactl restart
7) # ipactl status
8) # Use the repo to upgrade RHEL IPA server to
9) # yum -y update 'ipa*' sssd
10) # tail -1 /var/log/ipaupgrade.log 
11) # ipactl restart
12) # ipactl status
13) # kinit admin
14) Check UI login

Observations:

A) RHEL 7.3.z > RHEL 7.4 update1 : FAILED
B) RHEL 7.3.z > RHEL 7.4 update2 : SUCCESS

Thus on the basis of above observations and Comment#9, marking the status of bug to "VERIFIED"

Comment 13 errata-xmlrpc 2017-10-19 15:12:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2935


Note You need to log in before you can comment on or make changes to this bug.